package com.jxml.quick.util.qdml2dtd;
import com.jxml.quick.model.qdml.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.util.*;
import com.jxml.quick.ocm.*;
import java.io.*;

/**
 * Extracts DTD data.
 */
public class QCLink extends OCMpeerSupport
{
	/**
	 * User-provided code to perform the conversion.
	 */
	public void cvt(Object param)
		throws SAXException, IOException
	{
		QDMLink dm=(QDMLink)dataModel;
		addStringAttribute("name",dm.tag);
		startElement("element");
		startElement("empty");
		endElement("empty");
		endElement("element");
		addStringAttribute("element",dm.tag);
		startElement("attList");
		addStringAttribute("name","href");
		addStringAttribute("decl","REQUIRED");
		startElement("attribute");
		startElement("type");
		addStringContent("CDATA");
		endElement("type");
		endElement("attribute");
		endElement("attList");
	}
}
